Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorAnnotationsByResources.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorAnnotationsByResources.java	(revision 44)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorAnnotationsByResources.java	(revision 44)
@@ -0,0 +1,100 @@
+package de.mpiwg.itgroup.annotations.restlet;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import org.json.JSONArray;
+import org.json.JSONException;
+import org.json.JSONObject;
+import org.neo4j.graphdb.Node;
+import org.restlet.data.Form;
+import org.restlet.data.Parameter;
+import org.restlet.data.Status;
+import org.restlet.ext.json.JsonRepresentation;
+import org.restlet.representation.Representation;
+import org.restlet.resource.Get;
+import org.restlet.resource.ServerResource;
+
+import de.mpiwg.itgroup.annotations.Annotation;
+import de.mpiwg.itgroup.annotations.NS;
+import de.mpiwg.itgroup.annotations.Person;
+import de.mpiwg.itgroup.annotations.Tag;
+import de.mpiwg.itgroup.annotations.neo4j.AnnotationStore;
+import de.mpiwg.itgroup.annotations.restlet.utils.JSONObjectComparator;
+
+/**
+ * API for accessing tags in the Annotation store.
+ * 
+ * @author dwinter
+ *
+ */
+public class AnnotatorAnnotationsByResources extends AnnotatorResourceImpl {
+    protected String getAllowedMethodsForHeader() {
+        return "OPTIONS,GET";
+    }
+    
+    @Get("json")
+    public Representation doGetJSON(Representation entity) {
+        logger.debug("AnnotatorAnnotatonsByResource doGetJSON!");
+        setCorsHeaders();
+       
+        // do authentication
+        Person authUser = Person.createPersonWithId(this.checkAuthToken(entity));
+        logger.debug("request authenticated=" + authUser);
+
+        
+        String jsonId = (String) getRequest().getAttributes().get("id");
+       
+        Form form = getRequest().getResourceRef().getQueryAsForm();
+        String sortBy=null;
+        for (Parameter parameter : form) {
+          if (parameter.getName().equals("sortBy")){
+          sortBy =  parameter.getValue();
+          }
+        }
+        
+        String id = decodeJsonId(jsonId);
+        //String id = jsonId;
+        logger.debug("ressource-id=" + id);
+        
+        AnnotationStore store = getAnnotationStore();
+  	  	//String tagUri=NS.MPIWG_TAGS_URL+id;
+        List<Annotation> annotations = store.getAnnotationsByResource(id);
+        
+		//JSONArray results = new JSONArray();
+        ArrayList<JSONObject> results = new ArrayList<JSONObject>();
+        
+		for (Annotation annot : annotations) {
+			//check permission
+			if (!annot.isActionAllowed("read", authUser, store)) continue;
+            
+			JSONObject jo = createAnnotatorJson(annot,false);
+            results.add(jo);
+        }
+    
+	if (sortBy!=null){
+		JSONObjectComparator.sortAnnotations(results,sortBy);
+	}
+		
+	JSONArray resultsJa = new JSONArray();
+	for (JSONObject result:results){
+		resultsJa.put(result);
+	}
+	
+    // assemble result object
+    JSONObject result = new JSONObject();
+    try {
+        result.put("rows", resultsJa);
+        result.put("total", resultsJa.length());
+    } catch (JSONException e) {
+        setStatus(Status.SERVER_ERROR_INTERNAL, "JSON Error");
+        return null;
+    }
+    logger.debug("sending:");
+    logger.debug(result);
+    return new JsonRepresentation(result);
+}
+
+    
+	
+}
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResources.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResources.java	(revision 44)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResources.java	(revision 44)
@@ -0,0 +1,111 @@
+/**
+ * ReST API for accessing groups in the Annotation store.
+ */
+package de.mpiwg.itgroup.annotations.restlet;
+
+import java.util.List;
+
+import org.json.JSONArray;
+import org.json.JSONException;
+import org.json.JSONObject;
+import org.neo4j.graphdb.Node;
+import org.restlet.data.Form;
+import org.restlet.data.Status;
+import org.restlet.ext.json.JsonRepresentation;
+import org.restlet.representation.Representation;
+import org.restlet.resource.Get;
+
+import de.mpiwg.itgroup.annotations.Actor;
+import de.mpiwg.itgroup.annotations.Group;
+import de.mpiwg.itgroup.annotations.NS;
+import de.mpiwg.itgroup.annotations.Resource;
+import de.mpiwg.itgroup.annotations.Tag;
+import de.mpiwg.itgroup.annotations.neo4j.AnnotationStore;
+import de.mpiwg.itgroup.annotations.neo4j.AnnotationStore.NodeTypes;
+
+
+/**
+ * API for accessing tags in the Annotation store.
+ * 
+ * @author dwinter
+ *
+ */
+public class AnnotatorResources extends AnnotatorResourceImpl {
+    protected String getAllowedMethodsForHeader() {
+        return "OPTIONS,GET";
+    }
+
+    /**
+     * GET with JSON content-type.
+     * Parameters: 
+     *   user: short user name
+     *   uri: user uri
+     *   
+     * @param entity
+     * @return
+     */
+    @Get("json")
+    public Representation doGetJSON(Representation entity) {
+        logger.debug("AnnotatorGroups doGetJSON!");
+        setCorsHeaders();
+       
+        String jsonId = (String) getRequest().getAttributes().get("id");
+        String uri = decodeJsonId(jsonId);
+        
+        logger.debug("resources-id=" + uri);
+
+        if (uri==null){
+        return getAllResources();
+        } else {
+
+        	return getResource(uri);
+        }
+    }
+    
+    protected Representation getResource(String uri){
+    	  AnnotationStore store = getAnnotationStore();
+    	  //String tagUri=NS.MPIWG_TAGS_URL+id;
+          Node tagNode = store.getResourceNodeByUri(uri);
+          Resource resource = store.createResourceFromNode(tagNode);
+          JSONObject jo = new JSONObject();
+          try {
+              jo.put("id", encodeJsonId(resource.getUri()));
+              jo.put("uri", resource.getUri());
+          } catch (JSONException e) {
+          }
+          
+          return new JsonRepresentation(jo);
+    }
+	protected Representation getAllResources() {
+		JSONArray results = new JSONArray();
+        AnnotationStore store = getAnnotationStore();
+        
+       
+            List<Resource> resources = store.getResources(null, null);
+            for (Resource resource : resources) {
+                JSONObject jo = new JSONObject();
+                try {
+                	 jo.put("id", encodeJsonId(resource.getUri()));
+                     jo.put("uri", resource.getUri());
+                } catch (JSONException e) {
+                }
+                results.put(jo);
+            }
+        
+        // assemble result object
+        JSONObject result = new JSONObject();
+        try {
+            result.put("rows", results);
+            result.put("total", results.length());
+        } catch (JSONException e) {
+            setStatus(Status.SERVER_ERROR_INTERNAL, "JSON Error");
+            return null;
+        }
+        logger.debug("sending:");
+        logger.debug(result);
+        return new JsonRepresentation(result);
+	}        	
+        
+
+    
+}
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java	(revision 28)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java	(revision 44)
@@ -44,6 +44,8 @@
         router.attach("/tags", AnnotatorTags.class);
         router.attach("/tags/{id}", AnnotatorTags.class);
-        router.attach("/tags/{id}", AnnotatorTags.class);
         router.attach("/tags/{id}/annotations", AnnotatorAnnotationsByTags.class);
+        router.attach("/resources", AnnotatorResources.class);
+        router.attach("/resources/{id}", AnnotatorResources.class);
+        router.attach("/resources/{id}/annotations", AnnotatorAnnotationsByResources.class);
         router.attach("/", AnnotatorInfo.class);
         // authenticator.setNext(router);
